Bug 193313 - [NEW PORT] www/py-wsgidav: wsgi implemented DAV
Summary: [NEW PORT] www/py-wsgidav: wsgi implemented DAV
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: John Marino
URL: https://github.com/mar10/wsgidav
Keywords:
Depends on:
Blocks: 193135 193314
  Show dependency treegraph
 
Reported: 2014-09-04 15:48 UTC by Jingfeng Yan
Modified: 2014-11-07 02:44 UTC (History)
2 users (show)

See Also:


Attachments
new port shar file (1.69 KB, application/x-shar)
2014-09-04 15:51 UTC, Jingfeng Yan
no flags Details
test port log (28.65 KB, text/plain)
2014-09-04 15:51 UTC, Jingfeng Yan
no flags Details
diff to shar file 146796: new port shar file (1.49 KB, patch)
2014-09-05 15:13 UTC, Jingfeng Yan
no flags Details | Diff
new shar file replace to 146796 (1.62 KB, text/plain)
2014-09-05 15:16 UTC, Jingfeng Yan
no flags Details
portlint -AC output (68 bytes, text/plain)
2014-09-05 15:17 UTC, Jingfeng Yan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jingfeng Yan 2014-09-04 15:48:13 UTC
WgiDAV is a WebDAV server for sharing files and other resources over the web.
It is based on the WSGI interface <http://www.python.org/peps/pep-0333.html>.

It comes bundled with a simple WSGI web server.

This package is based on PyFileServer by Ho Chun Wei.

www: https://github.com/mar10/wsgidav
Comment 1 Jingfeng Yan 2014-09-04 15:51:09 UTC
Created attachment 146796 [details]
new port shar file
Comment 2 Jingfeng Yan 2014-09-04 15:51:45 UTC
Created attachment 146797 [details]
test port log
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-05 07:29:24 UTC
Thanks for your submission Jingfeng.

A quick note that the following entries have been deprecated [1]

 * USE_PYTHON= 2
 * USE_PYDISTUTILS= yes
 * PYDISTUTILS_AUTOPLIST=  yes

[1] See /Mk/Uses/python.mk for more information
[2] Add DEVELOPER=yes to your make.conf to enable additional QA checks

Additional review items:

 * LICENSE_FILE is missing
 * You can use CHEESESHOP for MASTER_SITES which sets MASTER_SITE_SUBDIR
 * Is there a reason the tests directory cant remain?
 * Attach portlint -AC output :)

Feel free to update your attachment with those changes, and you may also use svn diff to assist review by our committers
Comment 4 Jingfeng Yan 2014-09-05 15:11:59 UTC
(In reply to Kubilay Kocak from comment #3)
> Thanks for your submission Jingfeng.
Thank you for your reviewing.  

> 
> A quick note that the following entries have been deprecated [1]
> 
>  * USE_PYTHON= 2
>  * USE_PYDISTUTILS= yes
>  * PYDISTUTILS_AUTOPLIST=  yes
> 
> [1] See /Mk/Uses/python.mk for more information
> [2] Add DEVELOPER=yes to your make.conf to enable additional QA checks
> 
Fully accepted.  Will update the port shar file in one or two minutes. 

> Additional review items:
> 
>  * LICENSE_FILE is missing
LICENSE_FILE seems not to be mandatory and some py modules do not have full text of license.  For example, zope213...  The only LICENSE info only be carried in PKG-INFO file.

>  * You can use CHEESESHOP for MASTER_SITES which sets MASTER_SITE_SUBDIR
Good learning, it makes life easier.  I did struggle with upper/lowercase of MASTER_SITE_SUBDIR when I ported. 

>  * Is there a reason the tests directory cant remain?
Some of python modules have test directory. When install, it first detects __init__.py exists in the tests directory (some other modules have installed tests).  The other thing that I don't understand well, all the python modules'  tests directory install to the same location, and is there any way to avoid name conflict?  
__init__.py is place holder in most of cases (but it could do something, too).  How about other file names.  If there is better way to keep the tests directory, I will follow. 

>  * Attach portlint -AC output :)
will do.

> 
> Feel free to update your attachment with those changes, and you may also use
> svn diff to assist review by our committers
no svn diff, but diff this time.  Will do in the future.
Comment 5 Jingfeng Yan 2014-09-05 15:13:39 UTC
Created attachment 146869 [details]
diff to shar file 146796: new port shar file
Comment 6 Jingfeng Yan 2014-09-05 15:16:25 UTC
Created attachment 146870 [details]
new shar file replace to 146796
Comment 7 Jingfeng Yan 2014-09-05 15:17:57 UTC
Created attachment 146871 [details]
portlint -AC output
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-06 10:42:50 UTC
(In reply to Jingfeng Yan from comment #4)
> (In reply to Kubilay Kocak from comment #3)
> > Thanks for your submission Jingfeng.
> Thank you for your reviewing.  

You're welcome

> > Additional review items:
> > 
> >  * LICENSE_FILE is missing
> LICENSE_FILE seems not to be mandatory and some py modules do not have full
> text of license.  For example, zope213...  The only LICENSE info only be
> carried in PKG-INFO file.

Include it if the distribution files contain a standalone license file. If not that's fine

> >  * Is there a reason the tests directory cant remain?
> Some of python modules have test directory. When install, it first detects
> __init__.py exists in the tests directory (some other modules have installed
> tests).  The other thing that I don't understand well, all the python
> modules'  tests directory install to the same location, and is there any way
> to avoid name conflict?  
> __init__.py is place holder in most of cases (but it could do something,
> too).  How about other file names.  If there is better way to keep the tests
> directory, I will follow. 

Certainly clean up if the python package installs conflicting files. It's prudent to create issue reports for these things upstream, so that authors can learn to improve their packaging methods, and we can also leverage test functionality.

One last thing, 

When you're providing updates to previous submitted attachments, remove all attachments except for the latest (and complete) versions you want to be reviewed and committed. 

The diff of the last requested changes is not needed, only the latest version.
Comment 9 John Marino freebsd_committer 2014-11-06 10:21:57 UTC
<sigh>

Koobs moved this to Siberia but didn't stay on CC list.  Of course it got lost because nobody cyclically reviews open PRs.

Moving this to patch-ready.  The tabbing on the Makefile is wrong but it's only a few lines and can be fixed by submitter quickly.
Comment 10 John Marino freebsd_committer 2014-11-06 19:38:25 UTC
I didn't notice this belonged to python -- so it wasn't in Siberia after all.  I thought it was still unassigned.  I'm taking it now though, it's been two months!
Comment 11 commit-hook freebsd_committer 2014-11-06 19:54:15 UTC
A commit references this bug:

Author: marino
Date: Thu Nov  6 19:53:39 UTC 2014
New revision: 372235
URL: https://svnweb.freebsd.org/changeset/ports/372235

Log:
  Add new port www/py-wsgidav

  PR:		193313
  Submitted by:	JingFeng Yan

  WsgiDAV is a WebDAV server for sharing files and other resources over the
  web. It is based on the WSGI interface.  It comes bundled with a simple
  WSGI web server.  This package is based on PyFileServer by Ho Chun Wei.

Changes:
  head/www/Makefile
  head/www/py-wsgidav/
  head/www/py-wsgidav/Makefile
  head/www/py-wsgidav/distinfo
  head/www/py-wsgidav/pkg-descr
Comment 12 John Marino freebsd_committer 2014-11-06 19:55:28 UTC
I think your editor was set to 4-space tabs or something.  The makefile was completely mis-tabbed.  That was the only issue I saw.  Thanks for your patience.
Comment 13 Jingfeng Yan 2014-11-07 02:44:54 UTC
(In reply to John Marino from comment #12)
> I think your editor was set to 4-space tabs or something.  The makefile was
> completely mis-tabbed.  That was the only issue I saw.  Thanks for your
> patience.

Thank you for your explanation and efforts! I fully understand that most of people are voluntarily serve the FreeBSD community, I appreciate all the hard works from you and other people. This is a big year for FreeBSD port system, we wish it could be better and stronger.

For the tab, it seems that the Sept correction of vimrc has problem.  The more recent one could be normal (TAB is 8).  But, I believe there is still issue, because the display from vim is still urgly, which leads to somewhere is 2 TABs, other places are 3 TABs.